<h3 align="center">&nbsp;&nbsp;&nbsp; Synchronization Command Help</h3>


<table border="0" width="100%" cellspacing="0" cellpadding="3">
  <tr class=bgdark>
    <td valign="top"><b>Command</b></td>
    <td><b>Description</b></td>
  </tr>
  <tr class=bglight>
    <td valign="top"><b>Connect</b></td>
    <td>Initialize connection to IndonesiaDLN Hub server.
      <p>Sample:</p>
      <p class="terminal"><font face="Courier New"><font size="2">CLIENT &gt;
      TRYING CONNECTION TO gdlserv...</font>
      <p><font size="2">SERVER &gt; HELLO JBWNPOINTER (Pointer Indonesia)<br>
      SERVER &gt; PUBLISHER TYPE = WARNET<br>
      SERVER &gt; NEW CLIENT_SESSION_CREATED<br>
      SERVER &gt; DATE=2001/05/11 07:50:00<br>
      SERVER &gt; SESSION_ID=7531a2ed42d584b8aaba3b1a88b8768a<br>
      SERVER &gt; PLEASE GO ON</font></font></td>
  </tr>
  <tr class=bgmorelight>
    <td valign="top"><b>Disconnect</b></td>
    <td>Disconnect from IndonesiaDLN Hub server.
      <p>Sample:</p>
      <p class="terminal"><font face="Courier New"><font size="2">CLIENT &gt; LOGOUT...</font></font></td>
  </tr>
  <tr class=bglight>
    <td valign="top"><b>Get My Meta</b></td>
    <td>Get a list of metadata identifiers from to IndonesiaDLN Hub server that
      have been uploaded by client.
      <p>Sample:</p>
      <p class="terminal"><font face="Courier New"><font size="2">CLIENT &gt; GET METADATA LIST
      ...</font>
      <p><font size="2">SERVER &gt; PUBLISHER_ID = GDLDEV<br>
      SERVER &gt; SESSION_ID = 743c65613b52dc7670f32ccdeaa7f8ac<br>
      SERVER &gt; DATE = 2001/05/03 10:25:55<br>
      SERVER &gt; NUMBER OF METADATA FROM GDLDEV = 4</font>
      <p><font size="2">CLIENT &gt; 4 lines cached.</font></font></td>
  </tr>
  <tr class=bgmorelight>
    <td valign="top"><b>Status (Put)</b></td>
    <td>Display table of local metadata identifiers and their status (new, [has
      been] uptodate, or [need] update).
      <p>From this table, supervisor can upload the selected metadata to
      IndonesiaDLN Hub server.</td>
  </tr>
  <tr class=bglight>
    <td valign="top"><b>Put Meta Only</b></td>
    <td>Automatically upload all metadata from local server to IndonesiaDLN Hub
      Server. Metadata will be put/sent into hub by 5 metadata per session,
      until the whole rest metadata are completed.
      <p>The related files (relation) are not uploaded.</p>
      <p>Sample:</p>
      <font face="courier new" size="-1">CLIENT &gt; SEND 1 OF 1 metadata (not
      uploaded yet)<br>
      CLIENT &gt; Optimum time for this process can be seen at the bottom.<br>
      CLIENT &gt; Default delay = 60 seconds.<br>
      CLIENT &gt; COMPLETED !!! <a href="http://gdldev/client.php">Back</a>
      <p>CLIENT &gt; SEND METADATA ID =
      gdlclient-gdl-mmedia-2001-ismail-24-binatang... [1]<br>
      SERVER &gt; METADATA ID = gdlclient-gdl-mmedia-2001-ismail-24-binatang<br>
      SERVER &gt; LAST MODIFIED = 2001-05-06-09-40<br>
      SERVER &gt; PUBLISHER = GDLCLIENT<br>
      SERVER &gt; UPDATING METADATA... SUCCESS<br>
      SERVER &gt; INSERT ID = 674<br>
      SERVER &gt; RELATION dscf0424.jpg<br>
      SERVER &gt; CATEGORY /IndonesiaDLN/GDLCLIENT/Articles/KMRG<br>
      SERVER &gt; CATEGORY /IndonesiaDLN/GDLCLIENT/Member/superuser@localhost<br>
      CLIENT &gt; SUCCESS<br>
      CLIENT &gt; PUBLISHER TYPE = INSTITUTION (Files are not uploaded)</p>
      </font>
      <p>&nbsp;</td>
  </tr>
  <tr class=bgmorelight>
    <td valign="top"><b>Put with Files</b></td>
    <td>Same as above, but the related files (relation) will be uploaded.
      <p>Sample:</p>
      <font face="Courier New">
      <p><font size="2">CLIENT &gt; SEND METADATA ID =
      jbwnpointer-gdl-mmedia-2001-ismail-3-cham3... [1]<br>
      SERVER &gt; METADATA ID = jbwnpointer-gdl-mmedia-2001-ismail-3-cham3<br>
      SERVER &gt; LAST MODIFIED = 2001-05-11-05-36<br>
      SERVER &gt; PUBLISHER = JBWNPOINTER<br>
      SERVER &gt; UPDATING METADATA... SUCCESS<br>
      SERVER &gt; INSERT ID = 6<br>
      SERVER &gt; RELATION
      jbwnpointer-gdl-mmedia-2001-ismail-3-cham3-dscf0424.jpg<br>
      SERVER &gt; CATEGORY /WARNET /JBWNPOINTER /Multimedia /Photos<br>
      CLIENT &gt; SUCCESS<br>
      CLIENT &gt; PUBLISHER_TYPE = WARNET (Files need to be uploaded)</font>
      <p><font size="2">CLIENT &gt; SEND FILE
      jbwnpointer-gdl-mmedia-2001-ismail-3-cham3-dscf0424.jpg<br>
      CLIENT &gt; SIZE 179826 bytes.<br>
      SERVER &gt; FILE jbwnpointer-gdl-mmedia-2001-ismail-3-cham3-dscf0424.jpg<br>
      SERVER &gt; DIRECTORY ./files/JBWNPOINTER/disk1/1<br>
      SERVER &gt; DIR ./files/JBWNPOINTER CREATED.<br>
      SERVER &gt; DIS ./files/JBWNPOINTER/disk1 CREATED.<br>
      SERVER &gt; DIR ./files/JBWNPOINTER/disk1/1 CREATED.<br>
      SERVER &gt; SIZE 179826 bytes.<br>
      SERVER &gt; SUCCESS COPYING AND UPDATING RELATION.<br>
      CLIENT &gt; UPLOADED !!</font></font></td>
  </tr>
  <tr class=bglight>
    <td valign="top"><b>Set Options</b></td>
    <td>To&nbsp; set or edit download options.
      <p>Here, you can input keyword or subject of categories that relevant to
      your need. Then you give command to download them automatically from
      IndonesiaDLN Hub server.&nbsp;</p>
      <p>There are to options:&nbsp;</p>
      <ul>
        <li>download all metadata or&nbsp;</li>
        <li>download metadata that match your keywords filter (separated by
          comma)</li>
      </ul>
    </td>
  </tr>
  <tr class=bgmorelight>
    <td valign="top"><b>Reset Lists</b></td>
    <td>Reset metadata identifiers (that match the filters) from local cache
      table, and download the latest metadata identifiers from IndonesiaDLN Hub
      server.
      <p><font color="#FF0000">Warning: If you reset local cache table, then the
      whole metadata will be downloaded again from server whether they have been
      downloaded before or not.</font></p>
      <p>Sample:</p>
      <p class="terminal"><font face="Courier New"><font size="2">CLIENT &gt; GET METADATA ID
      LIST...</font>
      <p><font size="2">SERVER &gt; PUBLISHER_ID = GDLDEV<br>
      SERVER &gt; SESSION_ID = 8e065b6f852fa59d1e381c7e223bd827<br>
      SERVER &gt; DATE = 2001/05/03 05:07:27<br>
      SERVER &gt; KEYWORDS = electrical, research<br>
      SERVER &gt; NUMBER OF REQUESTED METADATA = 97</font></font></td>
  </tr>
  <tr class=bglight>
    <td valign="top"><b>Update Lists</b></td>
    <td>Download the latest metadata identifiers that match the filters, and
      update the local cache table.
      <p>It only add new metadata identifiers into local cache table.</p>
      <p>Sample:</p>
      <p class="terminal"><font face="Courier New"><font size="2">CLIENT &gt; GET METADATA ID
      LIST...</font>
      <p><font size="2">SERVER &gt; PUBLISHER_ID = GDLDEV<br>
      SERVER &gt; SESSION_ID = 8e065b6f852fa59d1e381c7e223bd827<br>
      SERVER &gt; DATE = 2001/05/03 05:09:32<br>
      SERVER &gt; KEYWORDS = electrical, research, kmrg<br>
      SERVER &gt; NUMBER OF REQUESTED METADATA = 109</font></font></td>
  </tr>
  <tr class=bgmorelight>
    <td valign="top"><b>Status (Get)</b></td>
    <td>Display table of metadata identifiers that should be uploaded and their
      status. Administrator can download (get) the selected metadata from this
      table.</td>
  </tr>
  <tr class=bglight>
    <td valign="top"><b>Get Metadata</b></td>
    <td>Start to download metadata which their identifiers has been recorded in
      the local cache table. It will&nbsp; be downloaded by 5 records until the
      whole metadata are completely requested.
      <p>Sample:</p>
      <font face="courier new" size="-1">CLIENT &gt; GET 5 OF 109 metadata (not
      downloaded yet)<br>
      CLIENT &gt; Optimum time for this process can be seen at the bottom.<br>
      CLIENT &gt; Default delay = 60 seconds.<br>
      CLIENT &gt; <a href="http://gdldev/client.php?f=get_all&amp;delay=60">Next</a>
      &gt; Change refresh delay (seconds): <a href="http://gdldev/client.php?f=get_all&amp;delay=5">5</a>
      - <a href="http://gdldev/client.php?f=get_all&amp;delay=10">10</a> - <a href="http://gdldev/client.php?f=get_all&amp;delay=20">20</a>
      - <a href="http://gdldev/client.php?f=get_all&amp;delay=30">30</a> - <a href="http://gdldev/client.php?f=get_all&amp;delay=60">60</a>
      - <a href="http://gdldev/client.php?f=get_all&amp;delay=120">120</a> - <a href="http://gdldev/client.php">Stop</a>
      <p>CLIENT &gt; GET METADATA ID=itb-s2-tmi-2000-Arief-sitra [1]<br>
      SERVER &gt; DATE = 2001/05/03 05:13:29<br>
      SERVER &gt; REQUESTED ID = itb-s2-tmi-2000-Arief-sitra<br>
      SERVER &gt; SUCCESS. Length 3956 bytes.<br>
      CLIENT &gt; METADATA ID = itb-s2-tmi-2000-Arief-sitra<br>
      CLIENT &gt; LAST MODIFIED = 2000-10-09<br>
      CLIENT &gt; PUBLISHER = jbptitbpp<br>
      CLIENT &gt; UPDATING METADATA... SUCCESS<br>
      CLIENT &gt; INSERT ID = 1205<br>
      CLIENT &gt; CATEGORY /IndonesiaDLN/S2-Theses/Engineering/
      Mechanical_Engineering/Electrical_Energy_Conversion/1998<br>
      CLIENT &gt; DATA RECEIVED 3956 bytes.<br>
      CLIENT &gt; SUCCESS
      <p>CLIENT &gt; GET METADATA ID=itb-res-ta-1993-Rudi-sifis [2]<br>
      SERVER &gt; DATE = 2001/05/03 05:13:31<br>
      SERVER &gt; REQUESTED ID = itb-res-ta-1993-Rudi-sifis</p>
      <p>... deleted ...</p>
      <p>CLIENT &gt; INSERT ID = 1209<br>
      CLIENT &gt; CATEGORY /IndonesiaDLN/Research_Reports/Petroleum/1997<br>
      CLIENT &gt; DATA RECEIVED 4116 bytes.<br>
      CLIENT &gt; SUCCESS
      <p>CLIENT &gt; Processing time 7 secs.</font></td>
  </tr>
  <tr class=bgmorelight>
    <td valign="top"><b>Get File (Publisher)</b></td>
    <td>Download publisher XML data from IndonesiaDLN Hub Server. The file
      should be saved locally and then uploaded using <b>Import File</b>.</td>
  </tr>
  <tr class=bglight>
    <td valign="top"><b>Import File</b></td>
    <td>Import the publisher data into local database from file.</td>
  </tr>
  <tr class=bgmorelight>
    <td valign="top"><b>Sync. Quickly</b></td>
    <td>Import the publisher data info local database directly from IndonesiaDLN
      Hub server.&nbsp; 
      <p>Sample:</p>
      <p><font face="courier new" size="2">CLIENT &gt; GET PUBLISHERS LIST ...</font>
      <p><font face="courier new" size="2">CLIENT &gt; 1151 bytes are received.</font>
      <p><font face="courier new" size="2">CLIENT &gt; Registering 3
      publishers...<br>
      CLIENT &gt; JBPTITBPP ... added<br>
      CLIENT &gt; GDLDEV ... added<br>
      CLIENT &gt; GDLCLIENT ... added<br>
      CLIENT &gt; COMPLETED.</font></td>
  </tr>
  <tr class=bglight>
    <td valign="top"><b>View Publisher</b></td>
    <td>Show Publishers tabel from local database.</td>
  </tr>
  <tr class=bgmorelight>
    <td valign="top"><b>Synchronize (membership)</b></td>
    <td>Upload (synchronize) local members data into IndonesiaDLN Hub server.</td>
  </tr>
</table>
